package Msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /msg/create Msg CreateMsg
//
// Create msg information | 创建Msg
//
// Create msg information | 创建Msg
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: MsgInfo
//
// Responses:
//  200: BaseMsgResp

func CreateMsgHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.MsgInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Msg.NewCreateMsgLogic(r.Context(), svcCtx)
		resp, err := l.CreateMsg(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
